| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# IG::Num::SimKosecFileManagerConv2 Class Reference

Interface with simulator of G. Kosec for convection problems in a cave with 2 obstacles. More...

Inheritance diagram for IG::Num::SimKosecFileManagerConv2:
[legend]
Collaboration diagram for IG::Num::SimKosecFileManagerConv2:
[legend]

List of all members.

## Public Member Functions
| SimKosecFileManagerConv2 (string dataDirectory)
| SimKosecFileManagerConv2 (string dataDirectory, double thickness, double obstacleLength)
| Constructor.
| SimKosecFileManagerConv2 (string dataDirectory, double thickness)
| Constructor.
override bool | RepairInputParameters (IVector parameters)
| Repairs simulation parameters, if necessary, in such a way that values are consistent with simuation data (e.g. spacing of nodes).
## Protected Member Functions
override void | Init ()
| Initializes internal variables. Called at the beginning of all constructors. To be overridden in derived classes!
override void | GetInputParametersManual (ref IVector inputParameters)
| Gets the current values of input parameters form the input file. This method must be overridden in derived concrete classes.
override void | UpdateInputParametersManual (IVector inputParameters)
| Prepares current values of input parameters in the simulation input thet will be written to the simulation input file. This method must be overridden in derived concrete classes. Only mappings form input parameters to simulation input that are manually defined must be performed by this function, since automatic mappings are already included in functions such as WriteInputParameters.

## Detailed Description

Interface with simulator of G. Kosec for convection problems in a cave with 2 obstacles.

## Constructor & Destructor Documentation

IG::Num::SimKosecFileManagerConv2::SimKosecFileManagerConv2 | ( | string | dataDirectory | ) | `[inline]`

IG::Num::SimKosecFileManagerConv2::SimKosecFileManagerConv2 | ( | string | dataDirectory,
|  | double | thickness,
|  | double | obstacleLength
| ) |  | `[inline]`

Constructor.

Parameters:

  dataDirectory | Base directory for simulation.
  thickness | Obstacle thickness.
  obstacleLength | Obstacle length.

IG::Num::SimKosecFileManagerConv2::SimKosecFileManagerConv2 | ( | string | dataDirectory,
|  | double | thickness
| ) |  | `[inline]`

Constructor.

Parameters:

  dataDirectory | Base directory for simulation.
  thickness | Obstacle thickness.

## Member Function Documentation

override void IG::Num::SimKosecFileManagerConv2::Init | ( |  | ) | `[inline, protected, virtual]`

Initializes internal variables. Called at the beginning of all constructors. To be overridden in derived classes!

Reimplemented from IG::Num::SimKosecFileManagerConvBase.

override bool IG::Num::SimKosecFileManagerConv2::RepairInputParameters | ( | IVector | parameters | ) | `[inline, virtual]`

Repairs simulation parameters, if necessary, in such a way that values are consistent with simuation data (e.g. spacing of nodes).

Parameters:

  parameters | Vector of parameters to be repaired. Repaired values are stored in the same vector.

Returns:
  true if parameters were corrected, false otherwise.

Implements IG::Num::SimKosecFileManagerBase.

override void IG::Num::SimKosecFileManagerConv2::GetInputParametersManual | ( | ref IVector | inputParameters | ) | `[inline, protected, virtual]`

Gets the current values of input parameters form the input file. This method must be overridden in derived concrete classes.

Parameters:

  inputParameters | Vector object where current values of input parameters are stored.

Implements IG::Num::SimKosecFileManagerBase.

override void IG::Num::SimKosecFileManagerConv2::UpdateInputParametersManual | ( | IVector | inputParameters | ) | `[inline, protected, virtual]`

Prepares current values of input parameters in the simulation input thet will be written to the simulation input file. This method must be overridden in derived concrete classes. Only mappings form input parameters to simulation input that are manually defined must be performed by this function, since automatic mappings are already included in functions such as WriteInputParameters.

Parameters:

  inputParameters | Vector of input (optimization) parameter values to be set.

Implements IG::Num::SimKosecFileManagerBase.

The documentation for this class was generated from the following file:

- SimKosecFileManager.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events